Select
curl --request PUT \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/table-views/collections/selection \
--header 'Content-Type: application/json' \
--data '
{
"viewId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/table-views/collections/selection"
payload = { "viewId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({viewId: '<string>'})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/table-views/collections/selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"view": {
"id": "<string>",
"name": "<string>",
"surface": "catalog_products",
"configuration": {
"schemaVersion": 1,
"columns": [
"<string>"
],
"quickFilters": {
"status": [
"<string>"
],
"categoryIds": [
"<string>"
],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>",
"mode": "contains"
}
]
},
"advancedFilter": {
"sets": [
{
"conditions": [
{
"fieldKey": "<string>",
"operator": "is_any_of",
"values": [
"<string>"
]
}
]
}
]
},
"groupBy": [
{
"fieldKey": "<string>",
"direction": "asc"
}
],
"sort": [
{
"fieldKey": "<string>",
"direction": "asc"
}
],
"components": {
"columns": [
"<string>"
],
"parentSearch": "<string>",
"parentCategoryId": "<string>",
"search": "<string>",
"componentCategoryId": "<string>"
}
},
"version": 4503599627370496,
"scope": "workspace",
"ownerId": "<string>",
"teamIds": [
"<string>"
],
"isDefault": true,
"defaultPriority": 500,
"canManage": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"source": "last_used",
"lastUsedViewId": "<string>",
"hasLastUsed": true
}Collection Table Views
Select
PUT
/
v1
/
workspaces
/
{workspaceId}
/
table-views
/
collections
/
selection
Select
Path Parameters
Query Parameters
Allowed value:
"collection_entries"Body
application/json
⌘I